Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.defobj
Interface ArgumentsS

All Known Implementing Classes:
  ArgumentsCImpl, ArgumentsImpl

public interface ArgumentsS
extends CreateS, DropS

A class that provides customizable command line argument parsing support. A class that provides customizable command line argument parsing support

Method Summary
`java.lang.Object` | `setBatchModeFlag(boolean batchModeFlag)`
`java.lang.Object` | `setDefaultAppConfigPath(java.lang.String path)` Specify a default path to use for configuration files when installed location of Swarm cannot be determined.
`java.lang.Object` | `setDefaultAppDataPath(java.lang.String path)` Specify a default path to use for data files when installed location of Swarm cannot be determined.
`java.lang.Object` | `setFixedSeed(int seed)`
`java.lang.Object` | `setInhibitArchiverLoadFlag(boolean inhibitArchiverLoadFlag)`
`java.lang.Object` | `setInhibitExecutableSearchFlag(boolean theInhibitExecutableSearchFlag)`
`java.lang.Object` | `setVarySeedFlag(boolean varySeedFlag)`
`java.lang.Object` | `setVerboseFlag(boolean verboseFlag)`

Method Detail

### setInhibitArchiverLoadFlag

    public java.lang.Object setInhibitArchiverLoadFlag(boolean inhibitArchiverLoadFlag)

### setInhibitExecutableSearchFlag

    public java.lang.Object setInhibitExecutableSearchFlag(boolean theInhibitExecutableSearchFlag)

### setBatchModeFlag

    public java.lang.Object setBatchModeFlag(boolean batchModeFlag)

### setVarySeedFlag

    public java.lang.Object setVarySeedFlag(boolean varySeedFlag)

### setVerboseFlag

    public java.lang.Object setVerboseFlag(boolean verboseFlag)

### setDefaultAppConfigPath

    public java.lang.Object setDefaultAppConfigPath(java.lang.String path)

  Specify a default path to use for configuration files when installed location of Swarm cannot be determined. Defaults to current directory.

### setDefaultAppDataPath

    public java.lang.Object setDefaultAppDataPath(java.lang.String path)

  Specify a default path to use for data files when installed location of Swarm cannot be determined. Defaults to current directory.

### setFixedSeed

    public java.lang.Object setFixedSeed(int seed)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD